@inject NavigationManager NavManager
@inject GlobalAppState GlobalAppState    

@implements IDisposable

@{
    var title = "Select User";
    if(SupportsGroups)
    {
        title = "Select User/Group";
    }
}

<Drawer Visible="@SelectionDrawerVisible" Placement="right" Title='@title' OnClose="@(() => { SelectionDrawerVisible = false; })">
    <em>User</em>
    <Select @bind-Value="@CurrentUserName" TItemValue="string" TItem="string" OnSelectedItemChanged="InternalUserNameSelectionChanged">
        <SelectOptions>
            @foreach(var user in UsersAllowedToView)
            {
                <SelectOption TItemValue="string" TItem="string" Value="@user" Label="@user"/>
            }
        </SelectOptions>
    </Select>
    @if (SupportsGroups)
    {
    <em>Group</em>
    <Select @bind-value="@CurrentGroup" TItemValue="string" TItem="string" OnSelectedItemChanged="InternalGroupSelectionChanged">
        <SelectOptions>
            @foreach(var group in GroupsAllowedToView)
            {
                <SelectOption TItemValue="string" TItem="string" Value="@group" Label="@group"/>
            }
            </SelectOptions>
    </Select>
    }
</Drawer>
<MatIconButton Style="outline:0" Icon="account_circle" OnClick="@(() => { SelectionDrawerVisible = true; })"></MatIconButton>